package be.iminds.ilabt.jfed.groovy_dsl;

import be.iminds.ilabt.jfed.groovy_dsl.impl.DSLEventWriterImpl;

import java.io.Writer;

/**
 * User: twalcari
 * Date: 5/18/2015
 * Time: 09:14
 */
public class DSLOutputFactory {

    private DSLOutputFactory(){}

    public static DSLOutputFactory newInstance(){
        return new DSLOutputFactory();
    }

    public DSLEventWriter createDSLEventWriter(Writer writer){
        return new DSLEventWriterImpl(writer);
    }

}
